summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory A. Pratt <anarchy@gentoo.org>2017-10-15 19:52:42 -0500
committerJory A. Pratt <anarchy@gentoo.org>2017-10-15 19:52:42 -0500
commit32e41ccf0f2511ea84f6453c3ba5231b0888aad6 (patch)
treef8c45015ab311304f34418082a8519a1adf2851f
parentdev-python/m2crypto - version bump 0.27.0 (diff)
downloadanarchy-32e41ccf0f2511ea84f6453c3ba5231b0888aad6.tar.gz
anarchy-32e41ccf0f2511ea84f6453c3ba5231b0888aad6.tar.bz2
anarchy-32e41ccf0f2511ea84f6453c3ba5231b0888aad6.zip
dev-util/cargo - disable static building
-rw-r--r--dev-util/cargo/Manifest3
-rw-r--r--dev-util/cargo/cargo-0.21.1.ebuild60
2 files changed, 21 insertions, 42 deletions
diff --git a/dev-util/cargo/Manifest b/dev-util/cargo/Manifest
index 9670939..b2ffa7e 100644
--- a/dev-util/cargo/Manifest
+++ b/dev-util/cargo/Manifest
@@ -12,7 +12,6 @@ DIST cargo-0.21.1.tar.gz 665335 SHA256 f2464d3cb3e431e45191b6f70e415c320d227ef3c
DIST cc-1.0.0.crate 36958 SHA256 7db2f146208d7e0fbee761b09cd65a7f51ccc38705d4e7262dad4d73b12a76b1 SHA512 0c9f7c07ce6eb288da679060aa6832337be307971094139ac047a0f039a16200ff357ee240b5f6caf31fd73117534d060ba6c704ff3bd33f21ed59058e4a0e97 WHIRLPOOL a1928d23c67fdcb056e4ba7da26ffc8d557309283ef29ba17c251e97d982cd375e76791f0588b382ab60a704537e5d4ca0e816ac2f5126a0f818fb5b4ee6c16a
DIST cfg-if-0.1.2.crate 6668 SHA256 d4c819a1287eb618df47cc647173c5c4c66ba19d888a6e50d605672aed3140de SHA512 ed6732d8ef2c99d99861f5dcfec3bcd2d1b62dcf6e8e4e88ca25148b5566f86418270dbbe9a7d2fae62a8320d432c5e0474059fa25a11c0f66787084e36f36aa WHIRLPOOL 4b5e8a97b7dde903545e6e29e333ee7fd06435621cc6de5336974bc648e4c21da71e0a8c0b13235bc52577bd9dc230f46bb8008bf026b67f9e01f250eb12925d
DIST cmake-0.1.24.crate 11525 SHA256 b8ebbb35d3dc9cd09497168f33de1acb79b265d350ab0ac34133b98f8509af1f SHA512 e8191d4f6b1474cb02fb66d2c32bd6a49c052bb91169a6091623a288f751a7ed595e4b07676c82687fc7fb55850631ff26a50016c56acdc0f74fa31b6a17ab84 WHIRLPOOL ab630d413b7550b9f864071e2fba729586429faee68ad52ac2c5a91b8adedd83c00d0b461601761bf5f0f179eb19a67e5f7f8a5d8390ec422bf110ed4b7540b0
-DIST crates-io-0.10.0.crate 3548 SHA256 84b8ef70d98451b2d73bbbe50cb2b64c7a5765cad83ef3dec6ec943b96eac1c2 SHA512 6932cdf682254b5d68854c4c77b08ffac306e6e8e067a755c325a08b312be28f7175da229315d979902f7807520f500dd2f1f1b7b872a83ee1b22d98946c56e8 WHIRLPOOL d54cf2d46eec79f342f56825a94250b4f100d71e9affc31127274a4f8625071862a19f7b789619eef773e03eb0ac039273b7192257b20dce08da9b1a1f565225
DIST crossbeam-0.2.10.crate 32993 SHA256 0c5ea215664ca264da8a9d9c3be80d2eaf30923c259d03e870388eb927508f97 SHA512 cdefcda7626c08ca59bdf5581e0e8d3e6367081089cc32dad6e84b5f643c7cbc5b08ce47034dd925fe2f5e2dfcfd18afb51fba511265ee3598fc1844838948f2 WHIRLPOOL 764f0a48c300a587ea56b5f0f7f55d40d8330d0148cd309599b3794d8c28399531b52641a58cd65eb9fb0107ede1a2e7f119c562d4781dee3a8c360b0a5af73e
DIST curl-0.4.7.crate 67930 SHA256 6689276ab61f97c660669a5ecc117c36875dfc1ba301c986b16c653415bdf9d7 SHA512 bb05446d221a4cce48dc03003d16c8c9be7f2aeda9de0dbea8de96d4353be3f2c03b32c79b61921a90fd31e5eda993ddd4b1b9b229e198fae82e13d94907e4a4 WHIRLPOOL af9c701dd8d9cbc356abb71752d7f3c222d48f405a82279e6441b1a557b273557170a180de8052178c7568b6cb1482f2924c804d9edc7b36a125632186b2e150
DIST curl-sys-0.3.14.crate 2980965 SHA256 d5481162dc4f424d088581db2f979fa7d4c238fe9794595de61d8d7522e277de SHA512 a8956c978ff35a84d493d405cf1d3e9ce24147c4a850710510f3ab2f461d5e6c832d47baa1abb6c34d1935d56a2f927460d5981c2ba7aecba8d9a751776e0d1e WHIRLPOOL 9d18eb045987f048e039a663881d5d50d146c76fa876254dfc0f4d327772bb78443701e0d2f2b2c870bde06d589740cbb68a44e501d6ca36834f40862c455b06
@@ -102,5 +101,5 @@ DIST winapi-0.2.8.crate 455145 SHA256 167dc9d6949a9b857f3451275e911c3f44255842c1
DIST winapi-build-0.1.1.crate 669 SHA256 2d315eee3b34aca4797b2da6b13ed88266e6d612562a0c46390af8299fc699bc SHA512 8b0a239e205a5368892f41c870a8a7ea16e3468c364b03382bef7fa3a2e7159b09c07661e95b1227578f6d72c14879daa4444b28c51ae20ef15d985d59ca5a77 WHIRLPOOL 036080513776fe806cc9dd68bbf5b797776b98ca9fdceaa4bd77c87c66d2e5bd0eec8b0e7f0100dab8f2ced754da058f67e651002c786b4992c2be416a5d52ff
DIST wincolor-0.1.4.crate 4434 SHA256 a39ee4464208f6430992ff20154216ab2357772ac871d994c51628d60e58b8b0 SHA512 910920a4a86084d1529c2cc29fd65eb2e858b7e89677617c31d0c8690c7c22145e4ece54237df103b3defb58e1b0b05edf2d24304af2dec4662e61593901ba9f WHIRLPOOL c609387e48384b9787066d25ac1a848c95e113e1afdd2af506076b44f593fdf5c8b39c77e3439301161f328cc563af4fae6eb3813e1bfc810974d8d712dd31a6
DIST ws2_32-sys-0.2.1.crate 4697 SHA256 d59cefebd0c892fa2dd6de581e937301d8552cb44489cdff035c6187cb63fa5e SHA512 18356861fc595efe7d0180afb8ce7649da35a4f9ba456271d2068679ab258a861af32a2e016e241fbfbf5f6ef0eb33127b26eabfc11428af39506538faa4821f WHIRLPOOL fd144081dc48c18ca407c1af08411d3aecf99cec42d27a3b7825d16f91f15be96ab66b79c62083520fae6988af76dfc20fe028416f84cfb5a0e1de9bfa4ba107
-EBUILD cargo-0.21.1.ebuild 3711 SHA256 93af705d25f0b3982a2e2d3f4762193a80709b5929cd429a8f3ee9e57606d741 SHA512 7a8778c683c1b580ca41723b78ef878f46ba0b473413605c58e3c27aa0784c1296edc7eb09d04d4fd00a57b26c9c3d7778ef17dd313f692f172eee2071009030 WHIRLPOOL 04892fdce4f25960069857cea582c7d6949f86775a3e817ea3b5bd2d920467fbb4f4b7c36ba469184cb9676ad6b805eb8dd86c7ee293ca39d2f2fa8b4778f34b
+EBUILD cargo-0.21.1.ebuild 3343 SHA256 1075a5483befb588ce8571d59b131c12f410b2755357807b6da17a8b7ab95e45 SHA512 9e1a1acf9d4e90649258177d5b77b774a0d6f34b1c54b7d54dbee0edaced13d9f7e47eb51b6d55e33e312d92e1045b6a6623b312ce5e0f7db104a3df1881d9e1 WHIRLPOOL d7cac93300af514f490582590a32ca34d22bf0ebdab5fd4eca15dc58aa54269a66e0ffa9386a4f5d604d026dc32170aa94bbd60bfce9e89b9a4c8592be52d6d6
MISC metadata.xml 250 SHA256 791cc3130f3775c2ecce04665a072774ca677894442ba0b5caeb913ad290553a SHA512 659ffa5a36819a0534e5c614275998a130d02260924fa03d43b667f38672041b6740fb9c1efbc74d3f900ee4d3c14280aefa93d0c99fa27c1159683956f2c8f0 WHIRLPOOL 174506445a0238b85bc144591a00c9842ff2c105728acff2b37c38153d64aedb63b4d6525d30ef7676d1f232bab4adfb7f64a2b4ff3d4c6f3f1ab4c5e73c02db
diff --git a/dev-util/cargo/cargo-0.21.1.ebuild b/dev-util/cargo/cargo-0.21.1.ebuild
index d15d7a6..8925e3e 100644
--- a/dev-util/cargo/cargo-0.21.1.ebuild
+++ b/dev-util/cargo/cargo-0.21.1.ebuild
@@ -17,7 +17,6 @@ bufstream-0.1.3
cc-1.0.0
cfg-if-0.1.2
cmake-0.1.24
-crates-io-0.10.0
crossbeam-0.2.10
curl-0.4.7
curl-sys-0.3.14
@@ -125,56 +124,37 @@ LICENSE="|| ( MIT Apache-2.0 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
-IUSE="bash-completion doc libressl static"
+IUSE="doc libressl"
-DEPEND="
- static? (
- libressl? ( >=dev-libs/libressl-2.6.0[static-libs] )
- !libressl? ( dev-libs/openssl[static-libs] )
- net-libs/http-parser[static-libs]
- net-libs/libssh2[static-libs]
- net-misc/curl[ssl,static-libs]
- sys-libs/zlib[static-libs]
- )
- !static? (
- libressl? ( >dev-libs/libressl-2.6.0 )
- !libressl? ( dev-libs/openssl )
- net-libs/http-parser
- net-libs/libssh2
- net-misc/curl[ssl]
- sys-libs/zlib
- )
+COMMON_DEPEND="sys-libs/zlib
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ net-libs/libssh2
+ net-libs/http-parser"
+RDEPEND="${COMMON_DEPEND}
+ !dev-util/cargo-bin
+ net-misc/curl[ssl]"
+DEPEND="${COMMON_DEPEND}
+ >=virtual/rust-1.19.0
dev-util/cmake
sys-apps/coreutils
sys-apps/diffutils
sys-apps/findutils
- sys-apps/sed
- >=virtual/rust-1.9.0
-"
-RDEPEND="
- !dev-util/cargo-bin
- !static? (
- libressl? ( >=dev-libs/libressl-2.6.0:0= )
- !libressl? ( dev-libs/openssl:0= )
- net-libs/http-parser:=
- net-libs/libssh2:=
- net-misc/curl:=[ssl]
- sys-libs/zlib:=
- )
-"
+ sys-apps/sed"
PATCHES=( "${FILESDIR}/${P}-libressl-2.6.2.patch" )
-src_prepare() {
- default
+src_configure() {
+ # Do nothing
+ echo "Configuring cargo..."
}
src_compile() {
export CARGO_HOME="${ECARGO_HOME}"
- local cargo="/usr/bin/cargo"
- ${cargo} build --release || die
+ local cargo="${WORKDIR}/cargo-${BOOTSTRAP_VERSION}-${TRIPLE}/cargo/bin/cargo"
+ RUSTFLAGS='-C target-feature=-crt-static' ${cargo} build --release || die "Failed to build cargo"
- # Build HTML documentation
+ # Building HTML documentation
use doc && ${cargo} doc
}
@@ -185,8 +165,8 @@ src_install() {
use doc && HTML_DOCS=("target/doc")
einstalldocs
- use bash-completion && newbashcomp src/etc/cargo.bashcomp.sh cargo
+ newbashcomp src/etc/cargo.bashcomp.sh cargo
insinto /usr/share/zsh/site-functions
doins src/etc/_cargo
doman src/etc/man/*
-}
+} \ No newline at end of file